# Cloud Apache Container #
This is the base container for running PHP based applications.  Select the PHP version with the tags

__You can pull this image locally by running:__  

```console
docker pull registry.dnspegasus.net/cac:81
```

__You can then run a development version of the server by running the following commands:__  

```console
mkdir -p local-development/domain.tld
cd local-development/domain.tld
mkdir web
mkdir db
docker run -it --rm -p 80:80 -p 443:443 -e environment=DEV --mount type=bind,source="$(pwd)"/web,target=/home/myuser/public_html --mount type=bind,source="$(pwd)"/db,target=/var/lib/mysql -e uid=30001 -e user=myuser -e domain=domain.tld -e serveralias=www.domain.tld --name local-dev  cac:81
```

### Tags ###  
*74* - PHP 7.4  
*80* - PHP 8.0  
*81* - PHP 8.1  
*82* - PHP 8.2  

### Environment Variables ###  
__Required Tags__  
*uid* - User ID for File Permissions  
*user* - Username for File Permissions  
*domain* - Primary Domain for configuration  

__Optional Tags__  
*environment* - Set to DEV to start memcached and mysql locally for development purposes  
*serveralias* - Set to allow alternative hostnames for a site.  